FinWise API
SupportChangelog

List merchants

Query parameters

filtersnullable object
JSON object, passed as a query-string value.
searchnullable string
Name search.
paginationnullable object
JSON object with pageNumber and pageSize.
pageNumbernullable number
1-based page. Defaults to 1.
pageSizenullable number
Items per page. Defaults to 100.
GET/merchants
curl https://api.finwiseapp.io/merchants \
-X GET \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/merchants', {
method: 'GET',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
Response
[
{
"id": "d4dd1cbe-d349-4089-ad63-b98921426656",
"createdAt": "2026-03-14T09:00:00.000Z",
"updatedAt": "2026-03-14T09:00:00.000Z",
"name": "Walmart",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45"
}
]